import type { _PHASEAsset } from "./PHASEAsset.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { PHASEAssetType } from "./PHASEAssetType.js";
export declare class _PHASESoundAsset extends _PHASEAsset {
    static alloc(): _PHASESoundAsset;
    static new(): _PHASESoundAsset;
    init(): _PHASESoundAsset;
    /** @property url @abstract The URL of the sound asset, if applicable. */
    url(): _NSURL | null;
    /** @property data @abstract The buffer for the sound asset, if applicable. */
    data(): _NSData | null;
    /** @property type @abstract The sound asset type. */
    type(): PHASEAssetType;
}
